
def comb_num(n, k):
    num = 1
    for i in range(1, n-k+1):
        num *= k + i
        num //= i

    return num

def compare_row(n, label):
    if n == 0:
        return label == 1

    for k in range(n//2 + 1):
        if comb_num(n, k) == label:
            return True

    return False

def find_least_row_of_comb(label):
    for n in range(10**6):
        if label <= comb_num(n, n//2) and compare_row(n, label):
            return n+1

    return None


def main():
    n = int(input())
    for i in range(n):
        label = int(input())
        print(find_least_row_of_comb(label))
    


if __name__ == '__main__':
    main()
    # for n in range(20):
    #     for k in range(n + 1):
    #         print(comb_num(n, k), end=' ')
    #     print()

    # for i in range(100):
    #     print(find_least_row_of_comb(i))
